Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JCAConnectionPoolStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JCAConnectionStatsImpl
              org.jboss.management.j2ee.statistics.JCAConnectionPoolStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JCAConnectionPoolStats, javax.management.j2ee.statistics.JCAConnectionStats, Serializable, javax.management.j2ee.statistics.Stats

public class JCAConnectionPoolStatsImpl
extends JCAConnectionStatsImpl
implements javax.management.j2ee.statistics.JCAConnectionPoolStats

The JSR77.6.20 JCAConnectionPoolStats implementation

Version:
  $Revision: 1.5 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`JCAConnectionPoolStatsImpl(String cfName, String mcfName, javax.management.j2ee.statistics.BoundedRangeStatistic freePoolSize, javax.management.j2ee.statistics.BoundedRangeStatistic poolSize)`
`JCAConnectionPoolStatsImpl(String cfName, String mcfName, javax.management.j2ee.statistics.TimeStatistic waitTime, javax.management.j2ee.statistics.TimeStatistic useTime, javax.management.j2ee.statistics.CountStatistic closeCount, javax.management.j2ee.statistics.CountStatistic createCount, javax.management.j2ee.statistics.BoundedRangeStatistic freePoolSize, javax.management.j2ee.statistics.BoundedRangeStatistic poolSize, javax.management.j2ee.statistics.RangeStatistic waitingThreadCount)`

Method Summary
`javax.management.j2ee.statistics.CountStatistic` | `getCloseCount()` The number of connections closed
`javax.management.j2ee.statistics.CountStatistic` | `getCreateCount()` The number of connections created
`javax.management.j2ee.statistics.BoundedRangeStatistic` | `getFreePoolSize()` The number of free connections in the pool
`javax.management.j2ee.statistics.BoundedRangeStatistic` | `getPoolSize()` The size of the connection pool
`javax.management.j2ee.statistics.RangeStatistic` | `getWaitingThreadCount()` The number of threads waiting for a connection

Methods inherited from class org.jboss.management.j2ee.statistics.JCAConnectionStatsImpl
`getConnectionFactory, getManagedConnectionFactory, getUseTime, getWaitTime`

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.JCAConnectionStats
`getConnectionFactory, getManagedConnectionFactory, getUseTime, getWaitTime`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JCAConnectionPoolStatsImpl

    public JCAConnectionPoolStatsImpl(String cfName,
                                      String mcfName,
                                      javax.management.j2ee.statistics.BoundedRangeStatistic freePoolSize,
                                      javax.management.j2ee.statistics.BoundedRangeStatistic poolSize)

### JCAConnectionPoolStatsImpl

    public JCAConnectionPoolStatsImpl(String cfName,
                                      String mcfName,
                                      javax.management.j2ee.statistics.TimeStatistic waitTime,
                                      javax.management.j2ee.statistics.TimeStatistic useTime,
                                      javax.management.j2ee.statistics.CountStatistic closeCount,
                                      javax.management.j2ee.statistics.CountStatistic createCount,
                                      javax.management.j2ee.statistics.BoundedRangeStatistic freePoolSize,
                                      javax.management.j2ee.statistics.BoundedRangeStatistic poolSize,
                                      javax.management.j2ee.statistics.RangeStatistic waitingThreadCount)

Method Detail

### getCloseCount

    public javax.management.j2ee.statistics.CountStatistic getCloseCount()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionPoolStats`
  The number of connections closed

  Specified by:
    `getCloseCount` in interface `javax.management.j2ee.statistics.JCAConnectionPoolStats`

### getCreateCount

    public javax.management.j2ee.statistics.CountStatistic getCreateCount()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionPoolStats`
  The number of connections created

  Specified by:
    `getCreateCount` in interface `javax.management.j2ee.statistics.JCAConnectionPoolStats`

### getFreePoolSize

    public javax.management.j2ee.statistics.BoundedRangeStatistic getFreePoolSize()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionPoolStats`
  The number of free connections in the pool

  Specified by:
    `getFreePoolSize` in interface `javax.management.j2ee.statistics.JCAConnectionPoolStats`

### getPoolSize

    public javax.management.j2ee.statistics.BoundedRangeStatistic getPoolSize()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionPoolStats`
  The size of the connection pool

  Specified by:
    `getPoolSize` in interface `javax.management.j2ee.statistics.JCAConnectionPoolStats`

### getWaitingThreadCount

    public javax.management.j2ee.statistics.RangeStatistic getWaitingThreadCount()

  Description copied from interface: `javax.management.j2ee.statistics.JCAConnectionPoolStats`
  The number of threads waiting for a connection

  Specified by:
    `getWaitingThreadCount` in interface `javax.management.j2ee.statistics.JCAConnectionPoolStats`
  Returns:
    BoundedRangeStatistic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.